
From: Hirokazu Takata <takata@linux-m32r.org>

This patch is for updating m32r's MMU-less support.

	* arch/m32r/boot/compressed/m32r_sio.c:
	- Fix serial output routine

	* include/asm-m32r/mmu.h:
	- Update mm_context_t definition

Signed-off-by: Yoshinori Sato <ysato@users.sourceforge.jp>
Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m32r/boot/compressed/m32r_sio.c |    7 ++++++-
 25-akpm/include/asm-m32r/mmu.h               |   18 ++----------------
 2 files changed, 8 insertions(+), 17 deletions(-)

diff -puN arch/m32r/boot/compressed/m32r_sio.c~m32r-update-mmu-less-support-2 arch/m32r/boot/compressed/m32r_sio.c
--- 25/arch/m32r/boot/compressed/m32r_sio.c~m32r-update-mmu-less-support-2	2005-03-23 18:33:47.000000000 -0800
+++ 25-akpm/arch/m32r/boot/compressed/m32r_sio.c	2005-03-23 18:33:47.000000000 -0800
@@ -46,9 +46,14 @@ static void putc(char c)
 	}
 	*BOOT_SIO0TXB = c;
 }
-#else
+#else /* defined(CONFIG_PLAT_M32700UT_Alpha) || defined(CONFIG_PLAT_M32700UT) */
+#ifdef CONFIG_MMU
 #define SIO0STS	(volatile unsigned short *)(0xa0efd000 + 14)
 #define SIO0TXB	(volatile unsigned short *)(0xa0efd000 + 30)
+#else
+#define SIO0STS	(volatile unsigned short *)(0x00efd000 + 14)
+#define SIO0TXB	(volatile unsigned short *)(0x00efd000 + 30)
+#endif
 
 static void putc(char c)
 {
diff -puN include/asm-m32r/mmu.h~m32r-update-mmu-less-support-2 include/asm-m32r/mmu.h
--- 25/include/asm-m32r/mmu.h~m32r-update-mmu-less-support-2	2005-03-23 18:33:47.000000000 -0800
+++ 25-akpm/include/asm-m32r/mmu.h	2005-03-23 18:33:47.000000000 -0800
@@ -1,25 +1,12 @@
 #ifndef _ASM_M32R_MMU_H
 #define _ASM_M32R_MMU_H
 
-/* $Id$ */
-
 #include <linux/config.h>
 
 #if !defined(CONFIG_MMU)
-struct mm_rblock_struct {
-  int     size;
-  int     refcount;
-  void    *kblock;
-};
-
-struct mm_tblock_struct {
-  struct mm_rblock_struct *rblock;
-  struct mm_tblock_struct *next;
-};
-
 typedef struct {
-  struct mm_tblock_struct tblock;
-  unsigned long           end_brk;
+	struct vm_list_struct	*vmlist;
+	unsigned long		end_brk;
 } mm_context_t;
 #else
 
@@ -32,4 +19,3 @@ typedef unsigned long mm_context_t[NR_CP
 
 #endif  /* CONFIG_MMU */
 #endif  /* _ASM_M32R_MMU_H */
-
_
